<?php

class CategoryController extends CategoryControllerCore
{
    
    public function init()
    {

        parent::init();
        
        /* 06.07.22 - Webbax | TUTO 151 */
        $id_category = (int) Tools::getValue('id_category');
        $sql = 'SELECT `id_category` FROM '._DB_PREFIX_.'category 
                WHERE `id_parent`="'.pSQL($id_category).'" 
                AND active=1';
        $res = Db::getInstance()->executeS($sql);
        $first_product_category = array();
        
        foreach($res as $r){
            
            $sql = 'SELECT p.id_product FROM '._DB_PREFIX_.'category_product cp
                    LEFT JOIN  '._DB_PREFIX_.'product p ON cp.id_product = p.id_product
                    WHERE `id_category`="'.pSQL($r['id_category']).'" 
                    AND p.active=1
                    ORDER BY position ASC
                    LIMIT 0,1';
            $res = Db::getInstance()->executeS($sql);

            $Product = new Product($res[0]['id_product'],false,$this->context->language->id);
            $cover = Product::getCover($res[0]['id_product']);
            $Link = new Link();
            $link_img = $Link->getImageLink($Product->link_rewrite, $cover['id_image']);
            
            $first_product_category[$r['id_category']] = (Configuration::get('PS_SSL_ENABLED') ? 'https://' : 'http://').$link_img;
            
        }
        
        $this->context->smarty->assign('first_product_category',$first_product_category);
        
    }

}
